Subject: bug#20465: 24.4; GnuTLS integration seems faulty

From: Ted Zlatanov <[email-masked]>
Date: Tue, 05 May 2015 10:28:45 -0400

On Tue, 05 May 2015 16:15:58 +0200 Nicolas Richard <[email-masked]> wrote: 
NR> Fwiw, emacs-24.4-1962-gccae04f is the kind of output given by
NR> "git describe --tags". The constituents are:
NR> - emacs-24.4 : a tag name
NR> - 1962 : IIRC this is the number of commits since the tag
NR> - g : I don't know why this letter is here. I guess its sole purpose is to
NR>   *not* be a hex digit.
NR> - ccae04f : first few digits of the commit hash.

Aha, that `g' is what threw me.  I didn't notice it was not a hex
digit--`git show ccae04f' works perfectly when you omit the `g'.  Thanks
to everyone for the patient explanations.

Thanks
Ted